<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>HTML tables and forms</title>
	</head>
	<body>

		<!-- creates a container element used to group html elements "header" value is uses for seo -->
		<div id="header">
			<h1>HTML Tables and Forms</h1>
		</div>
		
		<div id="main">
			
			<h2>HTML Entities</h2>
			<p><em>Reserved characters in HTML (e.g. &lt; or &gt; characters that can mixed up with HTML code)</em></p>
		<!-- defines an html table -->
			<table border="1">
				<!-- use to group table content -->
				<thead>
					<!-- defines table row -->
					<tr>
						<!-- defines a table header element -->
						<th colspan="2">Entity</th>
						<th>Description</th>
					</tr>
				</thead>
				<!-- defines and group the table content -->
				<tbody>
					<tr>
						<!-- defines a table data element -->
						<td>&lt;</td>
						<td>lt</td>
						<td>less than</td>
					</tr>
					<tr>
						<td>&gt;</td>
						<td>gt</td>
						<td>greater than</td>
					</tr>
					<tr>
						<td>&#8369</td>
						<td>&#8369</td>
						<td>peso sign</td>
					</tr>
					<tr>
						<td>&quot;</td>
						<td>quot</td>
						<td>double quotation mark</td>
					</tr>
					<tr>
						<td>&apos;</td>
						<td>apos</td>
						<td>single quotation mark (apostrophe)</td>
					</tr>
					<tr>
						<td>&ntilde;</td>
						<td>ntilde</td>
						<td>lower tilde</td>
					</tr>
					<tr>
						<td>&Ntilde;</td>
						<td>Ntilde</td>
						<td>upper tilde</td>
					</tr>
				</tbody>
				<!-- used to group table footer content -->
				<tfoot>
					<tr>
						<th colspan="3">List of HTML Entities</th>
					</tr>
				</tfoot>
			</table>

			<hr>

			<h2>HTML forms</h2>
			<p><em>Input elements that makes a form.</em></p>

			<!-- creates an HTML form to capture user input -->
			<!-- "action" altribute is used to define where the information will be sent upon submission -->
			<form action="https://www.google.com/">
				<!-- creates a label and allows for input field selection when click -->
				<label for="full_name">Fullname:</label>

				<!-- 
			
					- <label> tag - creates a text element that will serve as a label for an input field. This creates an inline element.
					- <input> tag - creates a form input element to capture user input. This creates an inline element.
					- The "for" attribute is used with the "id" attribute in an input element. This allows the users to select the input field when they click on the label for a better user experience. Remove this attribute to demonstrate how it works.
					- The "type" attribute will define what type of information the input field should have. Changing it's value will automatically change the bahavior of the input field.
					- The "name" attribute will provide the input field with a name that we can use to associate with the information provided by the user.
					- The "required" attribute will not allow the form to be submitted without any user input. Leave the input field empty to demonstrate how it works.
					- The "autocomplete" attribute will provide suggestions for text inputs for a better user experience. Try typing on the form and no suggestions will show. Submit the form and go back to the page and try typing again to demonstrate how it works. -->

				<!-- creates input field to capture user input -->
				<input type="text" name="full_name" id="full_name" required autocomplete><br>

				<label for="birth_date">Birth date</label>
				<!-- date  -->
				<input type="date" name="birth_date" id="birth_date" required><br>

				<label for="age">Age:</label>
				<!-- number creates an input field for number with arrow buttons for count -->
				<input type="number" name="age" id="age" required><br>

				<!-- creates dropdown -->
				<label for="gender">Gender:</label>
				<select name="gender" id="gender">
					<option value="" disabled selected></option>
					<option value="Male">Male</option>
					<option value="Female">Female</option>
					<option value="Rather not to say">rather not to say</option>
				</select><br>

				<label for="notes">Notes:</label>
				<textarea name="notes" id="notes" rows="5"></textarea><br>

				<label>New user</label>
				<input type="radio" name="new_user" id="user-type1" value="Yes">
				<label for="user-type1">Yes</label>

				<input type="radio" name="new_user" id="user-type2" value="no">
				<label for="user-type2">No</label><br>

				<label>Role:</label>
				<input type="checkbox" name="role1" id="role1" value="developer">
				<label for="role1">Developer</label>
				<input type="checkbox" name="role2" id="role2" value="Student">
				<label for="role2">Student</label>
				<input type="checkbox" name="role3" id="role3" value="Manager">
				<label for="role3">Manager</label>

				<!-- creates a button that will submit the form data 

				 "type" attribute will define how the button will behave the value of "submit" is the button tag default value and is not nessesary to be included though, it's a good practice to have it added because forms can certain several buttons. -->
				<button type="submit">Submit</button>

				<button type="reset">Reset</button>
			</form>
			
		</div>

	</body>
</html>